Subject: Bug#232028: Support for a common place for additional units?
From: Torsten Knodt <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Date: Tue, 10 Feb 2004 12:53:54 +0100
List-Id: <debian-gcc.lists.debian.org>

Package: gpc-2.1-3.3
Severity: wishlist
Tags: sid

Hello,
I have packaged grx, the Graph unit emulation for debian.
I have sent a preliminary diff to the authors. But the integration into gpc
needs some support to make it easily useable. The problem is, that there is no
common place where to put unit sources, which get recompiled by the installed
gpc compilers on updates. I would suggest to add a directory like
/usr/share/gpc/units, where all packages can put their unit source files and
a e.g. update-gpc-units script which gets called by every package which
installs a new unit. Currently the users have to symlink the unit source
files into their project directory and compile them themselves. They also have
to give the needed library pathes of those units themselves. Hard to explain
to a school child which has started with turbo pascal and has a linux box
at home.

Thanks in advance
	Torsten
- -- System Information:
Debian Release: testing/unstable
Architecture: ? (i586)
Kernel: Linux 2.6.1
Locale: LANG=C, LC_CTYPE=C

-- 
To UNSUBSCRIBE, email to [email-masked]
with a subject of "unsubscribe". Trouble? Contact [email-masked]